package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 放货类型robot_task_detail的release_type
 */
@Getter
@AllArgsConstructor
public enum ReleaseTakeEnum {

    TO_LOCATION(1, "库位"),
    TO_LANE(2, "线库"),
    TO_AREA(3, "区域"),
    TO_POINT(4, "取放货的点位");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String msg;

    public static Boolean isLocation(Integer type) {
        if (TO_LOCATION.getType().equals(type)
                || TO_LANE.getType().equals(type)
                || TO_AREA.getType().equals(type)) {
            return true;
        }
        return false;
    }
}
